{	Beispielapplikation fr ACS
	"HELLO"
	27.09.91 Stefan Bachert (Pure C)
	02.01.92 Michael Schlter (Pure Pascal)
	Letzte nderung: 02.01.93
}

PROGRAM hello_word;

{$X+}

USES ACS;

FUNCTION hello_make(para: Pointer): AwindowPtr; FORWARD;
													{ Mu vorher Definiert werden }
{$I HELLO.I}										{ ACS-File wird geladen }

{ ----------------------------------------------------------------- }
{ Erzeugt ein Hello-World Fenster									}
{ ----------------------------------------------------------------- }
FUNCTION hello_make(para: Pointer): AwindowPtr;
VAR		wi		: AWindowPtr;
BEGIN
	wi := Awi_create(@HELLO);						{ Erzeuge Fenster }
	IF wi <> NIL THEN								{ Wenn OK dann }
		wi^.open(wi);								{ ffne das Fenster }
	hello_make := wi;								{ Fensterpointer zurckgeben }
END;

{ ----------------------------------------------------------------- }
{ ACS Initialisieren und NEU-Ikon auf den Desktop legen				}
{ ----------------------------------------------------------------- }
FUNCTION init_acs: INTEGER;
VAR		wi		: AwindowPtr;
BEGIN
	wi := Awi_root;							{ Root window }
	IF (wi <> NIL) THEN						{ Wenn alles klar }
	BEGIN
		wi^.service (wi, AS_NEWCALL, @@HELLO.create);{ NEU-Ikon anlegen }
		wi := @HELLO;						{ Zeiger auf Hellofensterstruktur }
		wi^.create(NIL);					{ Erzeuge sofort ein Fenster }
		init_acs := OK;
	END
	ELSE
	  init_acs := FAIL;						{ Das ging daneben }
END;

{ ----------------------------------------------------------------- }
{ Hauptprogramm														}
{ ----------------------------------------------------------------- }
BEGIN										{ ACS }
	start_acs (init_acs, @ACSdescr);		{ und los }
END.